import request from 'ecip-web/utils/request'

export const findPage = (params, data) => {
  return request({
    url: `api/v1/form/genFormDetail/data`,
    method: 'post',
    params: params,
    data: data || {}
  })
}

export const listByMaster = (data) => {
  return request({
    url: `api/v1/form/genFormDetail/listByMaster`,
    method: 'post',
    data: data
  })
}

export const findById = (id) => {
  return request({
    url: `api/v1/form/genFormDetail/${id}`,
    method: 'get'
  })
}

export const save = (data) => {
  return request({
    url: `api/v1/form/genFormDetail`,
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/form/genFormDetail/${id}`,
    method: 'put',
    data: data
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/form/genFormDetail/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const removeByIds = (ids) => {
  return request({
    url: 'api/v1/form/genFormDetail/removeByIds',
    method: 'put',
    data: ids || []
  })
}
